## gnuplot 4.6.3

=== debian/changelog ===
gnuplot (4.6.3-2) unstable; urgency=low

  * [912245b] Change BD to libgd2-dev.
  * [39692d7] Force makeinfo not to fail on warnings. 
              Remove mkinstalldirs. 
              (Closes: #711067)
  * [5731602] Use canonical VCS-field.
  * [8e396f4] Use packaged version of aglfn. (Closes: #709583)

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Jun 2013 22:58:34 +0200

gnuplot (4.6.3-1) unstable; urgency=low

  * [159e6e7] Imported Upstream version 4.6.3
  * [c706f6c] Refresh patches. Removed ones, applied by upstream.
  * [538471a] Bump 3.9.4 Standard-Version.
  * [aa9b622] Use autoreconf.
  * [079ae7c] Add link to GPL-license in copyright-file.
  * [c6ccdf4] Add short descriptions to patches.
  * [235dd93] Remove README.source.

 -- Anton Gladky <gladk@debian.org>  Wed, 01 May 2013 20:40:14 +0200

=== debian/control ===
Source: gnuplot
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), libpng-dev, libx11-dev, libxt-dev, 
 pkg-config, texinfo, texlive-latex-base, texlive-latex-recommended, 
 texlive-latex-extra, liblua5.1-dev,
 zlib1g-dev, libgd2-dev, libwxgtk2.8-dev, libcairo2-dev, 
 libpango1.0-dev, libedit-dev, autoconf, automake,
 libqt4-dev (>=4:4.5), dh-autoreconf
Homepage: http://gnuplot.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git

Package: gnuplot
Architecture: all
Depends: gnuplot-nox | gnuplot-x11 | gnuplot-qt, ${misc:Depends}
Suggests: gnuplot-doc
Description: Command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for transition and to install a full-featured gnuplot
 supporting the X11-output.

Package: gnuplot-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, aglfn
Conflicts: gnuplot-x11, gnuplot-qt
Recommends: groff, fonts-liberation
Suggests: gnuplot-doc
Description: Command-line driven interactive plotting program. No-X package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11. The QT-output is packaged in gnuplot-qt.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for working without an X server.

Package: gnuplot-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, aglfn
Conflicts: gnuplot-qt, gnuplot-nox
Suggests: gnuplot-doc
Provides: gnuplot-nox
Description: Command-line driven interactive plotting program. X-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.

Package: gnuplot-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, aglfn
Conflicts: gnuplot-x11, gnuplot-nox
Suggests: gnuplot-doc
Provides: gnuplot-nox, gnuplot-x11
Description: Command-line driven interactive plotting program. QT-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.
 .
 The package provides gnuplot-x11 and gnuplot-nox terminals plus an
 additional QT-terminal for output (not default one).

Package: gnuplot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Command-line driven interactive plotting program. Doc-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the additional documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

# Build structure may link against unneeded libs.
# Make sure this does not happen.
LDFLAGS            += -Wl,--as-needed

# Tell compiler where should find lua headers
CFLAGS += -I/usr/include/lua5.1

BUILDDIR_NOX = $(CURDIR)/debian/build-nox
BUILDDIR_X11 = $(CURDIR)/debian/build-x11
BUILDDIR_QT = $(CURDIR)/debian/build-qt

conf_opts += \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" \
	CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--libexecdir=\$${prefix}/lib/gnuplot \
	--datadir=\$${prefix}/share/gnuplot \
	--with-gihdir=\$${prefix}/share/gnuplot \
	--without-lasergnu \
	--with-png \
	--with-gd \
	--without-lisp-files \
	--without-linux-vga \
	--with-readline=bsd

override_dh_auto_configure:
	mkdir -p $(BUILDDIR_NOX)
	cd $(BUILDDIR_NOX);  ./../../configure $(conf_opts) --without-x --disable-wxwidgets
	mkdir -p $(BUILDDIR_X11)
	cd $(BUILDDIR_X11); ../../configure $(conf_opts) --without-qt
	mkdir -p $(BUILDDIR_QT)
	cd $(BUILDDIR_QT); ../../configure $(conf_opts)  --enable-qt

override_dh_auto_build-arch:
	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src
	dh_auto_build -a -- -C $(BUILDDIR_X11) pkglibexecdir='$$(libexecdir)'
	dh_auto_build -a -- -C $(BUILDDIR_QT) pkglibexecdir='$$(libexecdir)'

override_dh_auto_build-indep:
	cp -f term/PostScript/prologue.ps docs/psdoc/
	dh_auto_build -i -- -C $(BUILDDIR_X11)/docs ps info gpcard.ps
	dh_auto_build -i -- -C $(BUILDDIR_X11)/tutorial tutorial.dvi tutorial.ps
	dh_auto_build -i -- -C $(BUILDDIR_X11)/demo
	dh_auto_build -i -- -C docs/psdoc ps_fontfile_doc.ps
	mkdir -p docs/htmldocs
	$(MAKEINFO) --html --force --output=docs/htmldocs/ docs/gnuplot.texi


override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR_NOX) $(BUILDDIR_X11) $(BUILDDIR_QT) \
		config.log \
		config.hin \
		configure \
		src/Makefile.in \
		docs/psdoc/ps_symbols.ps \
		docs/psdoc/ps_fontfile_doc.aux \
		docs/psdoc/ps_fontfile_doc.dvi \
		docs/psdoc/ps_fontfile_doc.log \
		docs/psdoc/ps_fontfile_doc.pdf \
		docs/psdoc/ps_fontfile_doc.ps \
		docs/psdoc/ps_fontfile_doc.log \
		docs/psdoc/ps_fontfile_doc.aux \
		docs/psdoc/ps_fontfile_doc.ps \
		docs/psdoc/prologue.ps \
		docs/psdoc/missfont.log \
		docs/htmldocs

override_dh_auto_install:
	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(CURDIR)/debian/tmp/NOX/ \
		pkglibexecdir='$$(libexecdir)'
	$(MAKE) -C $(BUILDDIR_X11) install DESTDIR=$(CURDIR)/debian/tmp/X11/ \
		pkglibexecdir='$$(libexecdir)'
	$(MAKE) -C $(BUILDDIR_QT) install DESTDIR=$(CURDIR)/debian/tmp/QT/ \
		pkglibexecdir='$$(libexecdir)'

override_dh_auto_test:
	cp -f $(BUILDDIR_X11)/demo/binary* ./demo/
	cd demo; $(BUILDDIR_NOX)/src/gnuplot all.dem </dev/null

override_dh_installinfo:
	dh_installinfo -pgnuplot-doc $(BUILDDIR_X11)/docs/gnuplot.info*

override_installchangelogs:
	dh_installchangelogs -pgnuplot-doc ChangeLog

override_dh_compress-indep:
	dh_compress -Xall.dem
	cd debian/gnuplot-doc/usr/share/doc/gnuplot-doc/examples/; patch -p1 < $(CURDIR)/debian/fix_examples/fix_examples.diff

## gnuplot 4.6.4

=== config/mingw/Makefile ===
# Hello, emacs: this is a -*- Makefile -*-
# $Id: Makefile,v 1.14.2.12 2013/04/12 16:33:14 markisch Exp $
#
# GNUPLOT Makefile for MinGW/MSYS on Windows
# This assumes usual installation of the MinGW32 toolkit, the free
# GNU gcc. See www.mingw.org for more details.

# To compile gnuplot for Windows:
# - Change the configuration section in 'config/mingw/Makfile' to
#   match your setup.
# - On the MSYS prompt, change directory to 'config/mingw' and issue the commands
#	 make all
#	 make install
#
# This makefile was tested with MSYS, MingW32 and Microsoft Help
# Workshop 4.03 / Microsoft HTML Help 1.4 SDK.


#
# ************** Begin of Configuration section ************************
#

# Comment out the definition lines to disable the according features:

# Define this only if doing a release build
RELEASE=1

# Use more modern HTML help instead of no longer supported Windows help system
# Please update the HHWPATH below if necessary.
HTML_HELP=1

# GIF, PNG, JPEG device drivers
# Requires gd library. There are two possibilities how to configure these
# drivers for use in gnuplot, depending on the gd version. See README.1ST for
# more details.
#
# You should compile gnuplot with GD library v2.0 or newer.
# This library writes PNG, GIF and JPEG images.
# If libgd has been compiled with TrueType font support, then you can use
# scaled TrueType fonts. If not, then uncomment FREETYPE.
# Requires GD, PNG and Z libraries, optionally libfreetype.
# In some cases, libfreetype can depend on additional libraries such as
# fontconfig or iconv; then, uncomment GDAUTOCONFIGLIBS so that all of the
# libraries needed for linking will be taken by running 'gdlib-config'.
# Uncomment BGD if you want to use the binary DLL version of libgd.
#NEWGD=1
#JPEG=1
#FREETYPE=1
#GDAUTOCONFIGLIBS=1
#BGD=1

# PDF device driver
# Requires PNG and Z libraries based on particular PDF library used, and
# optionally also TIFF library according to
# 1. defined PDF_NOTIFF:
#    'Light' pdf library (produces wgnuplot.exe only 200 KB larger!)
#    You can get this pdf library by compiling it without PNG, GD and TIFF
#    support: change  pdflib/p_intern.h  and recompile the pdf library.
#    Gnuplot does not use the tiff routines, and gd/png are elsewhere.
# 2. undefined PDF_NOTIFF:
#    Full pdf library (produces wgnuplot.exe 500 KB larger!)
#PDF=1
#PDF_NOTIFF=1

# DEBUGging support
# creates binaries suitable for debugging. Some bugs may come and go
# as opposed to a production build since we lower the optimization level
#DEBUG=1

# MOUSE support for the windows terminal
MOUSE=1

# Cairo/Pango terminals
# Uncomment the following lines to select the pngcairo and pdfcairo
# terminals
#CAIROTERMS=1
#CAIROLIBS=1

# WXWIDGETS interactive terminal
# Requires wxWidgets, Cairo, Pango, and their respective dependencies.
# Uncomment the following lines to compile it.
#WXT=1
#CAIROLIBS=1

# Uncomment the following line to select the lua/tikz terminal
#LUA=lua5.1

# Uncomment if you have libiconv
ICONV=1

# Below you can adapt paths according to your software setup:

# Where to place the helpfile:
ifdef HTML_HELP
  HELPFILE = wgnuplot.chm
  HELPFILEJA = wgnuplot-ja.chm
else
  HELPFILE = wgnuplot.hlp
endif

# Where to install the PostScript prologue files, relatively to the executable
# wgnuplot.exe
GNUPLOT_PS_DIR = share/PostScript

# Similarly for javascript files for the canvas terminal:
GNUPLOT_JS_DIR = share/js

# Similarly for scripts used by the lua terminal
GNUPLOT_LUA_DIR = share/lua

# Install will put TeX files here:
GNUPLOT_TEX_DIR = share/texmf/tex

# gnuplot will look for gnuplotrc here:
GNUPLOT_SHARE_DIR = share

# Destination directory, used in 'make install':
#DESTDIR = /local/opt/gnuplot-4.5
DESTDIR = "$(PROGRAMFILES)/gnuplot"

# give here the path to MinGW compiler unless it is already in PATH
#GCCPATH = g:/mingw32/bin/
#GCCPATH = c:/apps/mingw/bin/

# Do you want some special optimization?
# -mpentium means optimise for Pentium processor
# -mpentiumpro means optimize for Pentium II and Pro procesors
#CFLAGS +=

ifdef HTML_HELP

# To compile the .chm file you need the Microsoft HTML Help 1.4 SDK
# It can be obtained here:
# http://go.microsoft.com/fwlink/?LinkId=154968
# We need to explicitly set the correct path here since we also need
# adjust the include and linrary paths.
HHWPATH = "$(PROGRAMFILES)/HTML Help Workshop/"
HHC = $(HHWPATH)hhc

else

# To compile the .hlp file you need hcw either out of Microsoft SDK or MS Help
# Workshop. The latter can be obtained from either of
# ftp://ftp.microsoft.com/softlib/mslfiles/hcwsetup.exe
# http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=34D35502-4DE9-4676-952C-34CC7F64F098
# Put the path to hcw here unless it is already in PATH:
HCWPATH = "$(PROGRAMFILES)/Help\ Workshop/"
HCW = $(HCWPATH)hcw
# Switches are for HCW 4.03:
HCWFLAG =

endif

# Choose which windres/rc do you want to use (GNU windres or MS RC):
GNU_RC = 1
ifndef GNU_RC
  # If uncommented GNU_RC above and rc.exe not in PATH, then set:
  MSSDK = c:/mssdk
endif

# GNU sort
GNUSORT = /bin/sort

# Inno Setup Compiler
# get it from: http://www.jrsoftware.org/isdl.php
ISCC = "$(PROGRAMFILES)/Inno Setup 5/iscc"

# Directory that might contain extra files to be shipped with the installer.
# This should include dependencies like DLLs, but also fontconfig configuration files.
#EXTRADIST = /d/Software/gnuplot-misc/gp-dist

#
# *************** End of Configuration section *************************
#


#         There shouldn't be anything to be changed below this line
# **********************************************************************
#

# Choose target to compile:
# 1. wgnuplot.exe: The usual Windows GUI for input commands.
# 2. wgnuplot_pipes.exe: The usual Windows GUI with support of pipes, so
#    that e.g.  plot '<awk -f preprocess.awk my.dat')  or  x=system('ls -1')
#    can work. Drawback: wgnuplot_pipes.exe keeps attached to a console (DOS)
#    window it was launched from, or it opens a new one.
# 3. gnuplot.exe: Console mode instead of GUI for the text input.
#
# Comment for programs using gnuplot as their plotting engine:
# Both wgnuplot*.exe compile also pgnuplot.exe. This small helper program was
# used when gnuplot.exe was not available on Windows. Nowadays, pgnuplot.exe
# is deprecated -- please use gnuplot.exe instead.

# PIPES: define if you would prefer support of pipes undef Windows (e.g.
# plot '<awk -f preprocess.awk my.dat'). Drawback: wgnuplot_pipes.exe keeps
# attached to a console=DOS window it was launched from, or it opens a new one.
# Note: Maybe it does not work properly with pgnuplot (not tested recently).

# CONSOLE: define if you would prefer the console (non-GUI) version of the
# text command window.

ifndef TARGET
TARGET=wgnuplot.exe
#TARGET=wgnuplot_pipes.exe
#TARGET=gnuplot.exe
endif

# Set PGNUPLOT, PIPES and CONSOLE according to the target
ifeq ($(TARGET),wgnuplot.exe)
	PGNUPLOT=pgnuplot.exe
	MENUFILE=wgnuplot.mnu
	O=o
endif
ifeq ($(TARGET),wgnuplot_pipes.exe)
	MENUFILE=wgnuplot.mnu
	PIPES=1
	O=po
endif
ifeq ($(TARGET),gnuplot.exe)
	PIPES=1
	CONSOLE=1
	O=co
endif


CC = $(GCCPATH)gcc
LD = $(CC)
CXX = $(GCCPATH)g++
LDX = $(CXX)

RM = rm -f
CP = cp -p

ifdef DEBUG
  CFLAGS += -g -Wall
  LDFLAGS += -g
else
  CFLAGS += -O2
  LDFLAGS += -s
endif

LDFLAGS2 = -mwindows
ifdef PIPES
  OPTS += -DPIPES
  LDFLAGS2 = -mconsole
endif

ifdef CONSOLE
  OPTS += -DWGP_CONSOLE -DCONSOLE_SWITCH_CP
  LDFLAGS2 = -mconsole
endif

TOP = ../..

# macros for makefile.all
#O has been defined above already
#O=o
S=$(TOP)/src
W=$(S)/win
T=$(TOP)/term/
D=$(TOP)/docs/
M=$(TOP)/demo/

VPATH = $(S):$(W):$(S)/wxterminal

TERMFLAGS = -DGNUPLOT_PS_DIR=\"$(GNUPLOT_PS_DIR)\" -DGNUPLOT_JS_DIR=\"$(GNUPLOT_JS_DIR)\"
TERMFLAGS += -I$(TOP)/term

TERMLIBS =

CFLAGS += -I. -I$(S) -D_Windows -DHAVE_CONFIG_H $(OPTS)
CFLAGS += -DGNUPLOT_SHARE_DIR=\"$(GNUPLOT_SHARE_DIR)\"

ifndef RELEASE
  CFLAGS += -DDEVELOPMENT_VERSION
endif

ifdef MOUSE
  CFLAGS += -DUSE_MOUSE=1 -DWIN_IPC
endif

ifdef HTML_HELP
  CFLAGS += -DWITH_HTML_HELP -I$(HHWPATH)include
  BUILDHELPFILE = $(D)windows/$(HELPFILE)
else
  BUILDHELPFILE = $(HELPFILE)
endif

ifdef NEWGD
  GD=1
  PNG=1
endif

ifdef GD
  CFLAGS += -DHAVE_LIBGD
  ifndef BGD
    TERMLIBS += -lgd
  else
    TERMLIBS += -lbgd
  endif
endif

ifdef PNG
  CFLAGS += -DHAVE_LIBPNG
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -lpng -lz
  endif
  endif
endif

ifdef NEWGD
  CFLAGS += -DHAVE_LIBGD -DHAVE_GD_H -DHAVE_GD_GIF -DGIF_ANIMATION -DHAVE_GD_PNG
ifdef JPEG
  CFLAGS += -DHAVE_GD_JPEG
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -ljpeg
  endif
  endif
endif
ifdef FREETYPE
  CFLAGS += -DHAVE_GD_TTF
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -lfreetype
  endif
  endif
endif
ifdef GDAUTOCONFIGLIBS
  TERMLIBS += $(shell gdlib-config --libs)
endif
endif

ifdef PDF
  CFLAGS += -DHAVE_LIBPDF
ifdef PDF_NOTIFF
  TERMLIBS += -lpdf_notiff
else
  TERMLIBS += -lpdf -ltiff
#  TERMLIBS += -lpdf-w -ltiff-w
endif
ifndef PNG
  NEED_PNG_W = 1
else
ifndef NEWGD
  NEED_PNG_W = 1
endif
endif
ifdef NEED_PNG_W
  CFLAGS += -DHAVE_LIBPNG
  TERMLIBS += -lpng-w -lz-w
endif
endif

ifdef CAIROLIBS
	CAIRO_CFLAGS := $(shell pkg-config --cflags cairo | sed s_-Ic:_-I/c_g)
	PANGOCAIRO_CFLAGS := $(shell pkg-config --cflags pangocairo cairo | sed s_-Ic:_-I/c_g)
	PANGOCAIRO_LIBS := $(shell pkg-config --libs pangocairo cairo | sed s_-Lc:_-L/c_g)
	CAIRO_OBJS := gp_cairo.$(O) gp_cairo_helpers.$(O)
	TERMFLAGS += $(PANGOCAIRO_CFLAGS)
endif

ifdef CAIROTERMS
	CFLAGS += -DHAVE_CAIROPDF
	TERMFLAGS += -DHAVE_CAIROEPS
endif

ifdef WXT
	CFLAGS += -DWXWIDGETS
	WXT_CXXFLAGS := $(shell wx-config --cxxflags)
	CXXFLAGS += $(WXT_CXXFLAGS)
	WX_LIBS := $(shell wx-config --libs | sed -e "s+-Wl,--subsystem,windows++g" -e "s+-mwindows++g")
	WX_OBJS = wxt_gui.$(O)
endif

ifdef LUA
	CFLAGS += -DHAVE_LUA
	TERMLIBS += -l$(LUA)
	TERMFLAGS += -DGNUPLOT_LUA_DIR=\"$(GNUPLOT_LUA_DIR)\"
	LUATARGETS += gnuplot-lua-tikz.sty
endif

ifdef ICONV
	CFLAGS += -DHAVE_ICONV
	TERMLIBS += -liconv
endif

ifdef GNU_RC
  # RC = d:/cygnus/cygwin-b20/H-i586-cygwin32/bin/windres
  RC  = $(GCCPATH)windres
  RCFLAGS = --include-dir=$(W) \
	--define __WIN32__ --define __WIN95__ --define MSRC \
	--define __GNUWIN32__ --use-temp-file
  RCOUT = wgplt_res.$(O)
  RES2COFF = echo wgplt_res.$(O)
else
  RC = $(MSSDK)/bin/rc
  RCFLAGS = -v -i$(MSSDK)/include -i$(W) -dWIN32 -dMSRC
  RCOUT = -fowgnuplot.res
  RES2COFF = res2coff -i wgnuplot.res -o wgplt_res.$(O)
endif

default: $(TARGET) $(MENUFILE) support

console:
	$(MAKE) TARGET=gnuplot.exe gnuplot.exe

windows: $(MENUFILE)
	$(MAKE) TARGET=wgnuplot.exe wgnuplot.exe

pipes:
	$(MAKE) TARGET=wgnuplot_pipes.exe wgnuplot_pipes.exe

docs:
	$(MAKE) TARGET=gnuplot.exe gnuplot.pdf gpcard.pdf tutorial.pdf \
		ps_symbols.pdf ps_fontfile_doc.pdf ps_guide.pdf

support: $(HELPFILE) $(M)bf_test.exe $(PGNUPLOT) $(LUATARGETS) $(HELPFILEJA)

ja: $(HELPFILEJA)

all: $(S)/version.c console windows pipes support docs


# include the 'core makefile template'
include $(S)/makefile.all

OBJS = $(COREOBJS) version.$(O) gpexecute.$(O) $(WX_OBJS) $(CAIRO_OBJS)

WINOBJS = winmain.$(O) wgnuplib.$(O) wgraph.$(O) wprinter.$(O) wtext.$(O) \
	  wpause.$(O) wmenu.$(O) screenbuf.$(O) wgdiplus.$(O)

# default rules
.SUFFIXES: .exe .$(O) .c
.c.$(O):
	$(CC) -c $(CFLAGS) $(CFLAGSEXTRA) -MMD -MT '$*.$$(O)' -MF $*.d -o $@ $<

LDLIBS = -lkernel32 -lgdi32 -lwinspool -lcomdlg32 -lcomctl32 -ladvapi32 -lshell32 -lmsimg32 -lgdiplus

ifdef HTML_HELP
  LDLIBS += -lhtmlhelp
  LDFLAGS2 += -L$(HHWPATH)lib
endif

$(TARGET): $(OBJS) $(WINOBJS) wgplt_res.$(O) texticon.ico grpicon.ico
	$(LDX) $(LDFLAGS) $(LDFLAGS2) -o $@ $(OBJS) $(WINOBJS) wgplt_res.$(O) $(LDLIBS)\
	$(TERMLIBS) $(WX_LIBS) $(PANGOCAIRO_LIBS)

$(PGNUPLOT): $(W)/pgnuplot.c version.$(O)
	$(CC) -O2 -DHAVE_STDBOOL_H -s -o $@ $^ -I$(W) -I$(S) -luser32

# pull in dependency info for existing object files
ifndef NODEPS
-include $(OBJS:.$(O)=.d)
-include $(WINOBJS:.$(O)=.d)

=== demo/html/Makefile ===
all: html

distclean: clean
clean:
	rm -f *.png *.gnu *.html *.dat epslatex* fit.log soundfit.par *.tmp *.js *.?.svg *.??.svg jsdir

GNUPLOT_LIB = ..

#
# Auto-generation of the html demo set using the png terminal.
#
# Several of the demos need manual intervention:
#	fontfile vector epslatex
#
html: airfoil.html approximate.html arrowstyle.html barchart_art.html binary.html bivariat.html boxplot.html candlesticks.html circles.html cities.html contours.html controls.html datastrings.html dgrid3d.html discrete.html electron.html ellipse.html enhanced_utf8.html epslatex.html fillbetween.html fillcrvs.html fillstyle.html finance.html fit.html hidden.html hidden2.html histograms.html histograms2.html image.html image2.html index.html iterate.html key.html layout.html margins.html mgr.html multiaxis.html multimsh.html multiplt.html param.html pm3dcolors.html pm3d.html pm3dgamma.html pointsize.html polar.html poldat.html prob2.html prob.html rainbow.html random.html rectangle.html rgbalpha.html rgb_variable.html running_avg.html scatter.html simple.html singulr.html smooth.html spline.html steps.html stringvar.html surface1.html surface2.html transparent.html transparent_solids.html textcolor.html textrotate.html tics.html timedat.html using.html vector.html world.html world2.html dashcolor.html animate2.html heatmaps.html stats.html

index.html: index.save
	cp index.save index.html

circles.html: $(GNUPLOT_LIB)/hidden2.dem ./webify.pl
	export DEMOTERM="pngcairo truecolor font 'arial,8' size 500,300"; ./webify.pl circles

cities.html: $(GNUPLOT_LIB)/cities.dem ./webify.pl
	export DEMOTERM="png font 'Times,8' fontscale 2.5 size 500,500"; ./webify.pl cities

ellipse.html: random.html

hidden2.html: $(GNUPLOT_LIB)/hidden2.dem ./webify.pl
	export DEMOTERM="png truecolor font 'arial,8' size 450,320"; ./webify.pl hidden2

image.html: $(GNUPLOT_LIB)/image.dem ./webify.pl
	export DEMOTERM="png truecolor font 'arial,8' size 450,320"; ./webify.pl image

image2.html: $(GNUPLOT_LIB)/image2.dem ./webify.pl
	export DEMOTERM="png truecolor font 'arial,8' size 450,320"; ./webify.pl image2

rgbalpha.html: $(GNUPLOT_LIB)/rgbalpha.dem ./webify.pl
	export DEMOTERM="png truecolor font 'arial,8' size 450,300"; ./webify.pl rgbalpha

finance.html: $(GNUPLOT_LIB)/finance.dem ./webify.pl
	export DEMOTERM="png enhanced transparent font 'arial,8' size 660,320"; ./webify.pl finance

multiplt.html: $(GNUPLOT_LIB)/multiplt.dem ./webify.pl
	export DEMOTERM="png enhanced transparent font 'arial,8' size 610,480"; ./webify.pl multiplt

transparent.html: $(GNUPLOT_LIB)/transparent.dem ./webify.pl
	export DEMOTERM="png enhanced transparent truecolor font 'arial,8' size 512,280"; ./webify.pl transparent

transparent_solids.html: $(GNUPLOT_LIB)/transparent_solids.dem ./webify.pl
	export DEMOTERM="png enhanced truecolor font 'arial,9' size 512,384"; ./webify.pl transparent_solids

# The png terminal does not support dashed lines, so let's use pngcairo
dashcolor.html: $(GNUPLOT_LIB)/dashcolor.dem ./webify.pl
	export DEMOTERM="pngcairo dash"; ./webify.pl dashcolor

animate2.html: $(GNUPLOT_LIB)/animate2.dem ./webify.pl
	export DEMOTERM="gif animate transparent noopt delay 10 size 200,200 background rgb 'black'"; ./webify.pl animate2
	mv animate2.html temp.html
	cat temp.html | sed -e 's/1.png/1.gif/g' > animate2.html
	mv animate2.1.png animate2.1.gif
	rm temp.html


%.html: $(GNUPLOT_LIB)/%.dem ./webify.pl
	./webify.pl $*

=== debian/changelog ===
gnuplot (4.6.4-2) unstable; urgency=medium

  * [67fb69c] Add texlive-fonts-recommended to Build-Depends. (Closes: #738212)
  * [bf524ce] Set Standards-Version: 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Sat, 08 Feb 2014 20:44:33 +0100

gnuplot (4.6.4-1) unstable; urgency=low

  * [9fbd2a7] Add python-gnuplot, feedgnuplot, libgnuplot-iostream-dev 
              to suggests-section.
  * [2500301] Imported Upstream version 4.6.4
  * [f2d5e30] Refresh patches.
  * [d005afc] Use wrap-and-sort.
  * [e4ff402] Simplify debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Oct 2013 20:46:15 +0200

=== debian/control ===
Source: gnuplot
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.5
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 libcairo2-dev,
 libedit-dev,
 libgd2-dev,
 liblua5.1-dev,
 libpango1.0-dev,
 libpng-dev,
 libqt4-dev (>=4:4.5),
 libwxgtk2.8-dev,
 libx11-dev,
 libxt-dev,
 pkg-config,
 texinfo,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 zlib1g-dev
Homepage: http://gnuplot.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git

Package: gnuplot
Architecture: all
Depends:
 gnuplot-nox | gnuplot-x11 | gnuplot-qt,
 ${misc:Depends}
Suggests:
 feedgnuplot,
 gnuplot-doc,
 libgnuplot-iostream-dev,
 python-gnuplot
Description: Command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for transition and to install a full-featured gnuplot
 supporting the X11-output.

Package: gnuplot-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: Command-line driven interactive plotting program. Doc-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the additional documentation.

Package: gnuplot-nox
Architecture: any
Depends:
 aglfn,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 gnuplot-qt,
 gnuplot-x11
Recommends:
 fonts-liberation,
 groff
Suggests:
 gnuplot-doc
Description: Command-line driven interactive plotting program. No-X package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11. The QT-output is packaged in gnuplot-qt.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for working without an X server.

Package: gnuplot-qt
Architecture: any
Depends:
 aglfn,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 gnuplot-nox,
 gnuplot-x11
Suggests:
 gnuplot-doc
Provides:
 gnuplot-nox,
 gnuplot-x11
Description: Command-line driven interactive plotting program. QT-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.
 .
 The package provides gnuplot-x11 and gnuplot-nox terminals plus an
 additional QT-terminal for output (not default one).

Package: gnuplot-x11
Architecture: any
Depends:
 aglfn,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 gnuplot-nox,
 gnuplot-qt
Suggests:
 gnuplot-doc
Provides:
 gnuplot-nox
Description: Command-line driven interactive plotting program. X-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.

=== debian/rules ===
--- 
+++ 
@@ -4,30 +4,16 @@
 	dh $@ --parallel --with autoreconf
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-
-CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
-
-# Build structure may link against unneeded libs.
-# Make sure this does not happen.
-LDFLAGS            += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Tell compiler where should find lua headers
-CFLAGS += -I/usr/include/lua5.1
+export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/lua5.1
 
 BUILDDIR_NOX = $(CURDIR)/debian/build-nox
 BUILDDIR_X11 = $(CURDIR)/debian/build-x11
 BUILDDIR_QT = $(CURDIR)/debian/build-qt
 
 conf_opts += \
-	CFLAGS="$(CFLAGS)" \
-	CXXFLAGS="$(CXXFLAGS)" \
-	CPPFLAGS="$(CPPFLAGS)" \
-	LDFLAGS="$(LDFLAGS)" \
-	--host=$(DEB_HOST_GNU_TYPE) \
-	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \

## gnuplot 4.6.5

=== debian/changelog ===
gnuplot (4.6.5-10) unstable; urgency=medium

  * [684bb08] Depend on the same version of gnuplot-data as a source-version.
  * [2e069b9] Fix package name in autopkgtest.
  * [6aae61e] Simplify and update autotest. (Closes: #756156)
  * [dfdd105] Provide -x11 by -qt. (Closes: #756163)

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Aug 2014 19:48:33 +0200

gnuplot (4.6.5-9) unstable; urgency=medium

  * [754170b] Update version number in Breaks/Replaces. (Closes: #754890)
  * [3859306] Add missing entries into d./copyright. (Closes: #754872)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Jul 2014 18:58:51 +0200

gnuplot (4.6.5-8) unstable; urgency=medium

  * [27a6ce3] Add gnuplot-data and move there all arch-independent files.
              Prevemts circular dependencies. (Closes: #754598)
  * [5db8c84] Provide by -x11 and -qt the binary gnuplot-nox. 
              (Closes: #754603)

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Jul 2014 14:53:47 +0200

gnuplot (4.6.5-7) unstable; urgency=medium

  * [716ff2d] Update autopkgtest.
  * [f8828aa] Provide gnuplot4 symlink through update-alternatives
  * [b5b3c3b] Do not let install -nox together with -x11 or -qt.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Jul 2014 10:46:21 +0200

gnuplot (4.6.5-6) unstable; urgency=medium

  * [87404d3] Add breaks/replaces construction for gnuplot. (Closes: #754162)

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Jul 2014 19:54:12 +0200

gnuplot (4.6.5-5) unstable; urgency=medium

  * [414feb8] Remove old postinst, postrm and prerm scripts.
  * [840441d] Do not override autoclean
  * [43aac33] Rename binaries from gnuplot to gnuplot4-*.
  * [e065af5], [893f8be] Use update-alternatives to provide gnuplot.
  * [5829104] Move texmf-files into gnuplot-tex.

 -- Anton Gladky <gladk@debian.org>  Tue, 24 Jun 2014 23:51:18 +0200

gnuplot (4.6.5-4) unstable; urgency=medium

  * [4d67729] Disable wxt-terminal. (Closes: #750045)
  * [7342432] Increase priority of gnuplot-qt over gnuplot-x11.

 -- Anton Gladky <gladk@debian.org>  Wed, 04 Jun 2014 22:51:42 +0200

gnuplot (4.6.5-3) unstable; urgency=medium

  * [5aef72d] Fix typo in control-file. (Closes: #749820)

 -- Anton Gladky <gladk@debian.org>  Fri, 30 May 2014 07:40:33 +0200

gnuplot (4.6.5-2) unstable; urgency=medium

  [ Olly Betts ]
  * [cd3b9ce] Update to use wxwidgets3.0. (Closes: #741072)

  [ Anton Gladky ]
  * [10a8dbc] Set the default gnuplot binary to gnuplot-x11. (Closes: #741073)
  * [aef3b6a] Fix manpage for gnuplot-nox. (Closes: #744218)
  * [dfd3a27] Add autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Thu, 29 May 2014 18:17:09 +0200

gnuplot (4.6.5-1) unstable; urgency=medium

  * [aec9b9b] Imported Upstream version 4.6.5

 -- Anton Gladky <gladk@debian.org>  Fri, 28 Feb 2014 23:20:14 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  libpango1.0-dev,
  libpng-dev,
  libqt4-dev (>=4:4.5),
- libwxgtk2.8-dev,
  libx11-dev,
  libxt-dev,
  pkg-config,
@@ -30,12 +29,21 @@
 Homepage: http://gnuplot.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git
+XS-Testsuite: autopkgtest
 
 Package: gnuplot
 Architecture: all
 Depends:
- gnuplot-nox | gnuplot-x11 | gnuplot-qt,
- ${misc:Depends}
+ gnuplot-qt (>= 4.6.5-5) | gnuplot-x11 (>= 4.6.5-5) | gnuplot-nox (>= 4.6.5-5),
+ ${misc:Depends}
+Breaks:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5)
+Replaces:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5)
 Suggests:
  feedgnuplot,
  gnuplot-doc,
@@ -74,15 +82,18 @@
 Package: gnuplot-nox
 Architecture: any
 Depends:
- aglfn,
+ gnuplot-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Conflicts:
- gnuplot-qt,
- gnuplot-x11
 Recommends:
  fonts-liberation,
  groff
+Conflicts:
+ gnuplot-qt,
+ gnuplot-x11
+Replaces:
+ gnuplot-qt,
+ gnuplot-x11
 Suggests:
  gnuplot-doc
 Description: Command-line driven interactive plotting program. No-X package
@@ -100,14 +111,17 @@
 Package: gnuplot-qt
 Architecture: any
 Depends:
- aglfn,
+ gnuplot-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ gnuplot-doc
 Conflicts:
- gnuplot-nox,
- gnuplot-x11
-Suggests:
- gnuplot-doc
+ gnuplot-x11,
+ gnuplot-nox
+Replaces:
+ gnuplot-x11,
+ gnuplot-nox
 Provides:
  gnuplot-nox,
  gnuplot-x11
@@ -131,16 +145,19 @@
 Package: gnuplot-x11
 Architecture: any
 Depends:
- aglfn,
+ gnuplot-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Conflicts:
- gnuplot-nox,
- gnuplot-qt
+ gnuplot-qt,
+ gnuplot-nox
+Replaces:
+ gnuplot-qt,
+ gnuplot-nox
+Provides:
+ gnuplot-nox
 Suggests:
  gnuplot-doc
-Provides:
- gnuplot-nox
 Description: Command-line driven interactive plotting program. X-package
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
@@ -155,3 +172,50 @@
  images interactively under X11. Most users will want this, it is however
  packaged separately so that low-end systems don't need X installed to use
  gnuplot.
+
+Package: gnuplot-tex
+Architecture: all
+Section: doc
+Breaks:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5)
+Depends:
+ ${misc:Depends}
+Description: Command-line driven interactive plotting program. Tex-files
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains tex-files which are used by both gnuplot v4 and v5.
+
+Package: gnuplot-data
+Architecture: all
+Section: doc
+Breaks:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5),
+ gnuplot     (<<4.6.5-9)
+Replaces:
+ gnuplot     (<<4.6.5-9)
+Depends:
+ aglfn,
+ gnuplot-tex,
+ ${misc:Depends}
+Description: Command-line driven interactive plotting program. Data-files
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains data-files which are used by -nox, -x11 and -qt.
